: Class CompilationException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel
Class CompilationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gnu.jel.CompilationException

All Implemented Interfaces:
  java.io.Serializable

public class CompilationException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`CompilationException(int col, int code, java.lang.Object param)`
`CompilationException(int col, int code, java.lang.Object[] params)`
`CompilationException(int col, java.lang.String message)`
`CompilationException(gnu.jel.generated.Token tok, java.lang.String message)`

Method Summary
`int` | `getColumn()`
`java.lang.String` | `getMessage()`
`java.lang.Object[]` | `getParameters()`
`int` | `getType()`
`void` | `setColumn(int col)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompilationException

    public CompilationException(int col,
                                java.lang.String message)

### CompilationException

    public CompilationException(gnu.jel.generated.Token tok,
                                java.lang.String message)

### CompilationException

    public CompilationException(int col,
                                int code,
                                java.lang.Object param)

### CompilationException

    public CompilationException(int col,
                                int code,
                                java.lang.Object[] params)

Method Detail

### getColumn

    public int getColumn()

### setColumn

    public void setColumn(int col)

### getType

    public int getType()

### getParameters

    public java.lang.Object[] getParameters()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD